{
    "format_version": "1.10.0",
    "animation_controllers": {
        "controller.animation.helicopter_pilot.root": {
            "initial_state": "idle",
            "states": {
                "idle": {
                    "animations": ["idle"],
                    "transitions": [
                        {"walk": "q.ground_speed > 0.1 && !q.is_sheared"},
                        {"lean": "q.is_chested"}
                    ]
                },
                "walk": {
                    "transitions": [
                        {"idle": "q.ground_speed <= 0.1 && !q.is_sheared"},
                        {"lean": "q.is_chested"}
                    ],
                    "animations": ["walk"]
                },
                "idle.tran": {
                    "transitions": [{"idle": "!q.is_sheared"}],
                    "animations": ["idle"]
                },
                "lean": {
                    "transitions": [{"idle": "!q.is_chested"}],
                    "animations": ["lean"]
                }
            }
        }
    }
}